function dispuserdata(this)
% dispuserdata  [Not a public function] Display userdata.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

if ~isempty(this.userdata)
    tmpsize = sprintf('%gx',size(this.userdata));
    tmpsize(end) = '';
    msg = sprintf('[%s %s]',tmpsize,class(this.userdata));
else
    msg = 'empty';
end
fprintf('\tuser data: %s\n',msg);

end